# Don't provide plugin .so
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

# Fix Copr builds
%{!?_real_vendor:%global _real_vendor mageia}

%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api	2.0
%define major	4
%define libname	%mklibname xfce4panel %{api} %{major}
%define devname	%mklibname xfce4panel %{api} -d

%define gmajor	2.0
%define girname	%mklibname xfce4panel-gir %{gmajor}

Summary:	A Xfce panel
Name:		xfce4-panel
Version:	4.21.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/xfce4-panel/%{url_ver}/%{name}-%{version}.tar.xz
# Upstream patches

# Mga patches
Patch100:	xfce4-panel-arm32-linking.patch

BuildRequires:	meson
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(cairo)
# Only optional
#BuildRequires:	pkgconfig(dbusmenu-gtk3-0.4)
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(garcon-gtk3-1)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk-layer-shell-0)
BuildRequires:	pkgconfig(gtk+-x11-3.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.21.0
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4windowing-0) >= 4.20.1
BuildRequires:	pkgconfig(libxfce4windowingui-0) >= 4.20.1
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	pkgconfig(wayland-client)
Requires:	desktop-common-data
Requires:	%{_real_vendor}-xfce-config

%description
The Xfce 4 Panel supports multiple panels, with many options
for their position, appearance, transparency and behavior.
There are many items available by default to full fit a panel,
like application launchers with detachable menus, a graphical pager,
a tasklist, a clock, a system tray, a show/hide desktop switcher,
and even more. It offers an easy way to add items using a dialog,
and to move items across different panels.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{libname}
Summary:        Panel library for the Xfce desktop environment
Group:          Graphical desktop/Xfce

%description -n %{libname}
Panel library for the Xfce desktop environment.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{devname}
Development files and headers for %{name}.

%prep
%autosetup -p1

%build
%meson \
 -Dgtk-doc=false \
 -Dintrospection=true \
 -Dvala=enabled \
 -Dx11=enabled \
 -Dwayland=enabled \
 -Dgtk-layer-shell=enabled \
 -Ddbusmenu=disabled
%meson_build

%install
%meson_install

# (tpg) this file is in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/panel/default.xml

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README*
%dir %{_sysconfdir}/xdg/xfce4/panel
%dir %{_libdir}/xfce4/panel
%dir %{_libdir}/xfce4/panel/plugins
%dir %{_datadir}/xfce4/panel
%dir %{_datadir}/xfce4/panel/plugins
%{_bindir}/*
%{_libdir}/xfce4/panel/plugins/libactions.so
%{_libdir}/xfce4/panel/plugins/libapplicationsmenu.so
%{_libdir}/xfce4/panel/plugins/libclock.so
%{_libdir}/xfce4/panel/plugins/libdirectorymenu.so
%{_libdir}/xfce4/panel/plugins/liblauncher.so
%{_libdir}/xfce4/panel/plugins/libpager.so
%{_libdir}/xfce4/panel/plugins/libseparator.so
%{_libdir}/xfce4/panel/plugins/libshowdesktop.so
%{_libdir}/xfce4/panel/plugins/libsystray.so
%{_libdir}/xfce4/panel/plugins/libtasklist.so
%{_libdir}/xfce4/panel/plugins/libwindowmenu.so
%{_datadir}/xfce4/panel/plugins/actions.desktop
%{_datadir}/xfce4/panel/plugins/applicationsmenu.desktop
%{_datadir}/xfce4/panel/plugins/clock.desktop
%{_datadir}/xfce4/panel/plugins/directorymenu.desktop
%{_datadir}/xfce4/panel/plugins/launcher.desktop
%{_datadir}/xfce4/panel/plugins/pager.desktop
%{_datadir}/xfce4/panel/plugins/separator.desktop
%{_datadir}/xfce4/panel/plugins/showdesktop.desktop
%{_datadir}/xfce4/panel/plugins/systray.desktop
%{_datadir}/xfce4/panel/plugins/tasklist.desktop
%{_datadir}/xfce4/panel/plugins/windowmenu.desktop
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.panel.{*.,}{png,svg}
%{_libdir}/xfce4/panel/migrate
%{_libdir}/xfce4/panel/wrapper-*

%files -n %{girname}
%{_libdir}/girepository-1.0/Libxfce4panel-%{gmajor}.typelib

%files -n %{libname}
%license COPYING.LIB
%{_libdir}/libxfce4panel-%{api}.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libxfce4panel-%{api}.so
%{_libdir}/pkgconfig/libxfce4panel-%{api}.pc
%{_includedir}/xfce4/libxfce4panel-%{api}/
%{_datadir}/gir-1.0/Libxfce4panel-%{gmajor}.gir
%{_datadir}/vala/vapi/libxfce4panel-%{api}.{deps,vapi}


%changelog
* Sat Apr 12 2025 wally <wally> 4.21.0-1.mga10
+ Revision: 2174973
- new version 4.21.0
- drop old obsoletes

* Thu Feb 06 2025 wally <wally> 4.20.3-2.mga10
+ Revision: 2145871
- fix build on armv7hl

* Thu Feb 06 2025 wally <wally> 4.20.3-1.mga10
+ Revision: 2145858
- new version 4.20.3
- switch to meson build

* Sun Feb 02 2025 wally <wally> 4.20.1-1.mga10
+ Revision: 2144798
- new version 4.20.1

* Wed Dec 25 2024 wally <wally> 4.20.0-2.mga10
+ Revision: 2130160
- drop xfce4-mailwatch-plugin obsoletes as it was revived

* Sun Dec 15 2024 wally <wally> 4.20.0-1.mga10
+ Revision: 2125162
- new version 4.20.0

* Fri Nov 01 2024 wally <wally> 4.19.6-1.mga10
+ Revision: 2112051
- new version 4.19.6
- new version 4.19.5

* Sun Apr 21 2024 wally <wally> 4.19.3-1.mga10
+ Revision: 2060325
- new version 4.19.3

* Fri Mar 22 2024 wally <wally> 4.18.6-1.mga10
+ Revision: 2051281
- new version 4.18.6

* Wed Sep 27 2023 wally <wally> 4.18.5-1.mga10
+ Revision: 1991401
- new version 4.18.5

* Sun May 28 2023 wally <wally> 4.18.4-1.mga9
+ Revision: 1959351
- new version 4.18.4

* Sun Apr 02 2023 wally <wally> 4.18.3-1.mga9
+ Revision: 1951190
- new version 4.18.3

* Fri Feb 10 2023 wally <wally> 4.18.2-1.mga9
+ Revision: 1939994
- new version 4.18.2

* Wed Jan 11 2023 wally <wally> 4.18.1-1.mga9
+ Revision: 1932367
- new version 4.18.1

* Fri Dec 16 2022 wally <wally> 4.18.0-1.mga9
+ Revision: 1923757
- new version 4.18.0

* Tue Dec 06 2022 wally <wally> 4.17.5-2.mga9
+ Revision: 1918722
- update xfce4-mailwatch-plugin obsoletes

* Sat Dec 03 2022 wally <wally> 4.17.5-1.mga9
+ Revision: 1915940
- new version 4.17.5

* Tue Aug 23 2022 wally <wally> 4.17.3-1.mga9
+ Revision: 1879500
- new version 4.17.3

* Sun Jul 10 2022 wally <wally> 4.17.2-1.mga9
+ Revision: 1868263
- new version 4.17.2

* Tue May 24 2022 wally <wally> 4.17.1-1.mga9
+ Revision: 1860031
- new version 4.17.1

* Mon Apr 18 2022 wally <wally> 4.17.0-1.mga9
+ Revision: 1851161
- new version 4.17.0

* Sun Apr 03 2022 umeabot <umeabot> 4.16.3-4.mga9
+ Revision: 1842621
- Mageia 9 Mass Rebuild

* Sat Apr 02 2022 wally <wally> 4.16.3-3.mga9
+ Revision: 1841000
- remove orage obsoletes as the pkg was revived

* Sun Sep 26 2021 wally <wally> 4.16.3-2.mga9
+ Revision: 1746482
- fix RPATH

* Thu May 06 2021 wally <wally> 4.16.3-1.mga9
+ Revision: 1721858
- new version 4.16.3

* Thu Mar 11 2021 wally <wally> 4.16.2-2.mga9
+ Revision: 1701556
- remove xfce4-kbdleds-plugin obsoletes

* Sat Feb 27 2021 wally <wally> 4.16.2-1.mga9
+ Revision: 1692754
- new version 4.16.2

* Wed Jan 27 2021 wally <wally> 4.16.1-1.mga8
+ Revision: 1673680
- new version 4.16.1

* Wed Dec 23 2020 wally <wally> 4.16.0-1.mga8
+ Revision: 1663185
- new version 4.16.0

* Mon Dec 14 2020 wally <wally> 4.15.6-1.mga8
+ Revision: 1657366
- new version 4.15.6
- disable optional StatusNotifier integration

* Wed Nov 04 2020 wally <wally> 4.15.5-1.mga8
+ Revision: 1642620
- new version 4.15.5

* Wed Aug 26 2020 wally <wally> 4.15.4-1.mga8
+ Revision: 1619153
- new version 4.15.4
- obsolete merged xfce4-statusnotifier-plugin

* Wed Jun 24 2020 wally <wally> 4.15.3-2.mga8
+ Revision: 1599138
- build with vala support

* Wed Jun 24 2020 wally <wally> 4.15.3-1.mga8
+ Revision: 1599133
- new version 4.15.3

* Sat Jun 20 2020 wally <wally> 4.15.2-3.mga8
+ Revision: 1598128
- remove xfce4-notes-plugin obsoletes as it's ported to gtk3

* Sat Jun 20 2020 wally <wally> 4.15.2-2.mga8
+ Revision: 1597472
- fix gtk2 plugin obsoletes

* Fri Jun 19 2020 wally <wally> 4.15.2-1.mga8
+ Revision: 1597374
- new version 4.15.2
- drop gtk2 support
- obsolete gtk2 only panel plugins

* Tue Apr 28 2020 wally <wally> 4.14.4-1.mga8
+ Revision: 1572900
- new version 4.14.4

* Wed Feb 19 2020 umeabot <umeabot> 4.14.3-2.mga8
+ Revision: 1543066
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jan 13 2020 wally <wally> 4.14.3-1.mga8
+ Revision: 1477813
- new version 4.14.3

* Sat Jan 11 2020 wally <wally> 4.14.2-1.mga8
+ Revision: 1477570
- new version 4.14.2

* Thu Sep 26 2019 wally <wally> 4.14.1-1.mga8
+ Revision: 1446612
- new version 4.14.1

* Mon Aug 12 2019 wally <wally> 4.14.0-1.mga8
+ Revision: 1428937
- new version 4.14.0

* Sun Jul 28 2019 wally <wally> 4.13.7-1.mga8
+ Revision: 1424747
- new version 4.13.7

* Mon Jul 01 2019 wally <wally> 4.13.6-1.mga8
+ Revision: 1417257
- new version 4.13.6

* Sun May 19 2019 wally <wally> 4.13.5-2.mga7
+ Revision: 1398483
- add patch to add fallback icons for panel action buttons

* Sat May 18 2019 wally <wally> 4.13.5-1.mga7
+ Revision: 1398243
- new version 4.13.5
- drop patches from usptream

* Tue Apr 30 2019 wally <wally> 4.13.4-4.mga7
+ Revision: 1395940
- add upstream fixes
  - tasklist: activate parent windows (xfce#15307)
  - launcher: fix tooltip icon size (xfce#15319)

* Sat Apr 06 2019 wally <wally> 4.13.4-3.mga7
+ Revision: 1386376
- add patches from upstream

* Fri Jan 11 2019 wally <wally> 4.13.4-2.mga7
+ Revision: 1355016
- add upstream patch to revert 'Applications menu icon sizing fixes' (mga#23993, xfce#14976)

* Wed Jan 02 2019 wally <wally> 4.13.4-1.mga7
+ Revision: 1348716
- new version 4.13.4
- drop upstreamed patches

* Sun Sep 23 2018 umeabot <umeabot> 4.13.3-2.mga7
+ Revision: 1301873
- Mageia 7 Mass Rebuild

* Fri May 04 2018 wally <wally> 4.13.3-1.mga7
+ Revision: 1226207
- new version 4.13.3
- drop patches from upstream

* Tue Apr 17 2018 wally <wally> 4.13.2-4.mga7
+ Revision: 1219694
- add patch from upstream to avoid constant redraws (xfce#14307)

* Sat Mar 24 2018 wally <wally> 4.13.2-3.mga7
+ Revision: 1211928
- add gir typelib support

* Sat Feb 17 2018 wally <wally> 4.13.2-2.mga7
+ Revision: 1202062
- add patches to fix various bugs reported to upstream
  o fixes missing icons with adwaita icon theme (mga#22617)

* Thu Dec 14 2017 wally <wally> 4.13.2-1.mga7
+ Revision: 1182557
- new version 4.13.2
- use freedesktop.org compliant icon for clock plugin

* Thu Sep 28 2017 wally <wally> 4.13.1-1.mga7
+ Revision: 1161131
- new version 4.13.1

* Wed Oct 26 2016 wally <wally> 4.12.1-1.mga6
+ Revision: 1063672
- version 4.12.1

* Sun Dec 06 2015 wally <wally> 4.12.0-3.mga6
+ Revision: 908566
- add patch to fix $HOME/.xsession-errors flooding and high CPU usage after GTK+3.19 udate

* Sun Jun 21 2015 wally <wally> 4.12.0-2.mga6
+ Revision: 837654
- split out the gtk3 devel pkg
- remove old conflicts/obsoletes

* Tue Mar 03 2015 wally <wally> 4.12.0-1.mga5
+ Revision: 817394
- new version 4.12.0
- drop patches from upstream

* Tue Jan 27 2015 wally <wally> 4.11.1-6.mga5
+ Revision: 812454
- use xfce4-clock icon from cheser-icon-theme as clock applet icon

* Mon Jan 26 2015 wally <wally> 4.11.1-5.mga5
+ Revision: 812358
- fix separator icon in preferences etc.

* Thu Nov 27 2014 wally <wally> 4.11.1-4.mga5
+ Revision: 799536
- add patch from upstream git to fix session being always saved when using panel action logout button (xfce#7930)

* Wed Oct 15 2014 umeabot <umeabot> 4.11.1-3.mga5
+ Revision: 745649
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.11.1-2.mga5
+ Revision: 690623
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 wally <wally> 4.11.1-1.mga5
+ Revision: 638859
- new version 4.11.1

* Sun Feb 16 2014 wally <wally> 4.11.0-1.mga5
+ Revision: 592617
- new version 4.11.0
- enable GTK3 support
- exclude plugin .so from provides

* Tue Feb 04 2014 wally <wally> 4.10.1-3.mga5
+ Revision: 581665
- add patch to add dm-tool support to user switch panel action

* Sat Oct 19 2013 umeabot <umeabot> 4.10.1-2.mga4
+ Revision: 523551
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 4.10.1-1.mga4
+ Revision: 425069
- new version 4.10.1
- drop patches from upstream

* Fri Apr 05 2013 wally <wally> 4.10.0-5.mga3
+ Revision: 408353
- add patch from upstream git to fix icon/pixbuf resizing

* Mon Jan 14 2013 umeabot <umeabot> 4.10.0-4.mga3
+ Revision: 386859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 wally <wally> 4.10.0-3.mga3
+ Revision: 324116
- obsolete xfswitch-plugin which is integrated to xfce4-panel's action plugin

* Wed Jul 18 2012 wally <wally> 4.10.0-2.mga3
+ Revision: 272335
- fix requires after mageia-xfce-config packaging change

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248461
- new version 4.10.0
- new major 4
- clean .spec

* Tue Jan 03 2012 wally <wally> 4.9.0-1.mga2
+ Revision: 190020
- new version 4.9.0
- clean BRs
- don't own system icon dirs
- don't regenerate gtk docs
- clean .spec a bit

* Sat Sep 24 2011 wally <wally> 4.8.6-1.mga2
+ Revision: 147298
- new version 4.8.6
- fix libification
- move some doc files to devel pkg
- clean .spec a bit

* Fri Jun 24 2011 ahmad <ahmad> 4.8.5-1.mga2
+ Revision: 113173
- Update to 4.8.5

* Tue Jun 21 2011 ahmad <ahmad> 4.8.4-1.mga2
+ Revision: 111166
- Update to 4.8.4

* Wed Apr 13 2011 ahmad <ahmad> 4.8.3-1.mga1
+ Revision: 84456
- update to 4.8.3
- bump some BR versions

* Sat Apr 02 2011 ahmad <ahmad> 4.8.2-1.mga1
+ Revision: 79737
- update to 4.8.2
- obsolete xfce4-volstatus-icon and xfce4-xfapplet-plugin, both are unmaintained
  upstream and hasn't been ported to XFCE 4.8 (confirmed by looking at upstream git
  logs and Fedora)

* Thu Feb 17 2011 ahmad <ahmad> 4.8.1-1.mga1
+ Revision: 53274
- update to 4.8.1

* Thu Jan 27 2011 ahmad <ahmad> 4.8.0-1.mga1
+ Revision: 41638
- change requires to mageia-xfce-config-common
- don't ship .a, .la
- imported package xfce4-panel


* Sun Jan 23 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.8.0-1mdv2011.0
+ Revision: 632432
- update to new version 4.8.0

* Fri Jan 07 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.7-1mdv2011.0
+ Revision: 629571
- update to new version 4.7.7
- fix file list

* Wed Dec 08 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.6-1mdv2011.0
+ Revision: 616407
- update to new version 4.7.6

* Sat Dec 04 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.5-1mdv2011.0
+ Revision: 609367
- update to new version 4.7.5

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.4-1mdv2011.0
+ Revision: 593817
- update to new version 4.7.4
- drop some conditions in spec file for mdv older than 200900

* Fri Sep 17 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.3-1mdv2011.0
+ Revision: 579302
- update to new version 4.7.3
- tune up buildrequires
- fix file list

* Fri Jul 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.4-1mdv2011.0
+ Revision: 553870
- update to new version 4.6.4

* Sat Feb 27 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.3-2mdv2010.1
+ Revision: 512430
- fix obsoletes in devel subpackages

* Wed Dec 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.3-1mdv2010.1
+ Revision: 484149
- update to new version 4.6.3
- drop patch 0, fixed upstream (xfce bz #6110)

* Sun Dec 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.2-3mdv2010.1
+ Revision: 482718
- reeanble gtk-doc

* Wed Dec 23 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.2-2mdv2010.1
+ Revision: 481842
- apply patch 0 only for mdv >= 2010.0
- disable gtk-docs for now

  + Christophe Fergeau <cfergeau@mandriva.com>
    - make sure panels don't show window decorations

* Sun Oct 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.2-1mdv2010.0
+ Revision: 458148
- update to new version 4.6.2
- adapt to new urls
- drop patch 0 and 1 because they were merged in by upstream

* Thu Jun 25 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-3mdv2010.0
+ Revision: 389207
- Patch1: fix command args for session restart

* Thu Jun 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-2mdv2010.0
+ Revision: 385028
- Patch0: open Terminal with exo-open

* Tue Apr 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-1mdv2010.0
+ Revision: 368576
- update to new version 4.6.1

* Sun Apr 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-4mdv2009.1
+ Revision: 364183
- Patch1: migrate launcher category icons
- Patch2: don't crash when quit button is pressed
- Patch3: properly set the systray orientation property

* Sun Mar 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-3mdv2009.1
+ Revision: 360503
- Patch0: fix build with -Wl,--as-needed

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-2mdv2009.1
+ Revision: 349226
- rebuild whole xfce

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 4.6.0-1mdv2009.1
+ Revision: 345704
- New upstream release

* Tue Jan 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.99.1-1mdv2009.1
+ Revision: 333946
- update to new version 4.5.99.1

* Wed Jan 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.93-1mdv2009.1
+ Revision: 329515
- update to new version 4.5.93
- add full path for the Source0

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-3mdv2009.1
+ Revision: 303523
- update to new version 4.5.92 (Xfce 4.6 Beta 2 Hopper)

* Thu Nov 13 2008 Oden Eriksson <oeriksson@mandriva.com> 4.5.91-3mdv2009.1
+ Revision: 302650
- rebuild

* Tue Nov 11 2008 Oden Eriksson <oeriksson@mandriva.com> 4.5.91-2mdv2009.1
+ Revision: 302229
- rebuilt against new libxcb

* Thu Oct 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-1mdv2009.1
+ Revision: 294486
- Xfce4.6 beta1 is landing on cooker
- patch 1 and 2 were merged upstream
- fix file list
- tune up buildrequires

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon May 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-4mdv2009.0
+ Revision: 208978
- Patch0: fix drag and drop files over panels
- Patch1: fix dialogs on multiscreen

* Sun May 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-3mdv2009.0
+ Revision: 205611
- change sysconfdir from /etc/X11/xdg to /etc/xdg only for Mandriva releases newer than 2008.1

* Mon Mar 31 2008 Antoine Ginies <aginies@mandriva.com> 4.4.2-3mdv2008.1
+ Revision: 191245
- add mandriva-xfce-config-common to fix bug 39496

* Thu Jan 17 2008 Thierry Vignaud <tv@mandriva.org> 4.4.2-2mdv2008.1
+ Revision: 154147
- do not package big changelog
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Nov 18 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.2-1mdv2008.1
+ Revision: 109979
- New release 4.4.2

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - obsolete old release
    - new license policy
    - use upstream tarball name as a real name
    - use upstream name

* Sat Sep 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-9mdv2008.0
+ Revision: 92276
- provide patch 0 which fixes upstream Xfce bug #3496

* Fri Sep 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-8mdv2008.0
+ Revision: 91879
- exclude config files, which are now in mandriva-xfce-config package

* Fri Sep 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-7mdv2008.0
+ Revision: 81884
- drop patch 0, because we rely on mandriva-xfce-config packages
  remove unneeded provides and obsoletes

* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-6mdv2008.0
+ Revision: 44272
- fix file list
- don't own configuration files
- new devel library policy
- correct obsoletes/provides
- move Sources 1,2,3,4,5 to the xfce-config package
- update description

* Thu May 31 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-5mdv2008.0
+ Revision: 33090
- Fix errors
- Fix Mandriva Theme

* Tue May 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-3mdv2008.0
+ Revision: 32517
- spec file clean
- add %%post and %%postun for main package
  move icon caching macros from lib to main package

* Fri May 25 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 31097
- Remove french desktop
- Bump release
- Add mandriva default theme

* Wed Apr 18 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 14793
- New release 4.4.1

